### Method

# Ggit DiffSimilarityMetric copy

#### Declaration [src]

    GgitDiffSimilarityMetric*
    ggit_diff_similarity_metric_copy (
      GgitDiffSimilarityMetric* metric
    )

#### Description [src]

Copies `metric` into a newly allocated `GgitDiffSimilarityMetric`.

#### Return value

Type: `GgitDiffSimilarityMetric`

A newly allocated `GgitDiffSimilarityMetric` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.